Bug 69287 - Cannot enter quotes correctly in bash
Cannot enter quotes correctly in bash
Product: Red Hat Public Beta
Classification: Retired
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
Blocks: 67217
  Show dependency treegraph
Reported: 2002-07-19 19:37 EDT by Alan Olsen
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-21 00:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Olsen 2002-07-19 19:37:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9+) Gecko/20020327

Description of problem:
If I am in bash, I cannot enter in a quote (single or double) that the system
will interpret as a quote mark.  The first time I enter a quote, nothing
happens. If I hit another quote, I get that quote mark.  If I hit another
character, i get an accented character. This occurs when I am running vi and/or
pico as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enter a quote in bash. Nothing happens.
2. Enter a quote again.  Get a quote.
3. Run the php script or web pages I am working on and watch it cvomplain about
the bogus quote marks.

Actual Results:  I get an invalid quote mark.

Expected Results:  I should have gotten a valid quote mark. (Or actually two of
them if I hit the key twice.)

Additional info:
Comment 1 Alan Olsen 2002-07-22 18:39:07 EDT
Found what caused this.  Not certain if it was my fault or Redhat's installer. 
In /etc/X11/XF86Config, "XkbLayout" was set to "us_intl" instead of "us". 
Fixing that solved the problem.

If other people report this, then it is a bug.  If not, then it is not a bug.

Note You need to log in before you can comment on or make changes to this bug.